curl --request GET \
--url https://api.aisa.one/apis/v1/fred/series/search/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/series/search/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/series/search/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/series/search/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/series/search/tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/series/search/tags")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/series/search/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 18,
"limit": 1000,
"offset": 0,
"order_by": "series_count",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14",
"sort_order": "desc",
"tags": [
{
"created": "2012-08-29 10:22:19-05",
"group_id": "gen",
"name": "academic data",
"notes": "Time series data created mainly by academia to address growing demand in understanding specific concerns in the economy that are not well modeled by ordinary statistical agencies.",
"popularity": 62,
"series_count": 25
},
{
"created": "2013-06-21 10:22:49-05",
"group_id": "src",
"name": "anderson & jones",
"notes": "Richard Anderson and Barry Jones",
"popularity": 46,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "divisia",
"notes": "Monetary Services Indexes",
"popularity": 46,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "src",
"name": "frb stl",
"notes": "Federal Reserve Bank of St. Louis (source)",
"popularity": 81,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "monetary aggregates",
"notes": "",
"popularity": 79,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "freq",
"name": "monthly",
"notes": "",
"popularity": 95,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "geot",
"name": "nation",
"notes": "Country Level",
"popularity": 100,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "geo",
"name": "usa",
"notes": "United States of America",
"popularity": 100,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "seas",
"name": "sa",
"notes": "Seasonally adjusted",
"popularity": 94,
"series_count": 13
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "indexes",
"notes": "",
"popularity": 79,
"series_count": 12
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "seas",
"name": "nsa",
"notes": "Not seasonally adjusted",
"popularity": 96,
"series_count": 12
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "real",
"notes": "Inflation Adjusted Data",
"popularity": 81,
"series_count": 12
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "assets",
"notes": "",
"popularity": 69,
"series_count": 4
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "m2",
"notes": "M2 Money Stock",
"popularity": 75,
"series_count": 3
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "m1",
"notes": "M1 Money Stock",
"popularity": 71,
"series_count": 2
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "m3",
"notes": "M3 Money Stock",
"popularity": 50,
"series_count": 2
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "mzm",
"notes": "MZM Money Stock",
"popularity": 61,
"series_count": 2
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "discontinued",
"notes": "",
"popularity": 68,
"series_count": 1
}
]
}Search Series Tags
curl --request GET \
--url https://api.aisa.one/apis/v1/fred/series/search/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/series/search/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/series/search/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/series/search/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/series/search/tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/series/search/tags")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/series/search/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 18,
"limit": 1000,
"offset": 0,
"order_by": "series_count",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14",
"sort_order": "desc",
"tags": [
{
"created": "2012-08-29 10:22:19-05",
"group_id": "gen",
"name": "academic data",
"notes": "Time series data created mainly by academia to address growing demand in understanding specific concerns in the economy that are not well modeled by ordinary statistical agencies.",
"popularity": 62,
"series_count": 25
},
{
"created": "2013-06-21 10:22:49-05",
"group_id": "src",
"name": "anderson & jones",
"notes": "Richard Anderson and Barry Jones",
"popularity": 46,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "divisia",
"notes": "Monetary Services Indexes",
"popularity": 46,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "src",
"name": "frb stl",
"notes": "Federal Reserve Bank of St. Louis (source)",
"popularity": 81,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "monetary aggregates",
"notes": "",
"popularity": 79,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "freq",
"name": "monthly",
"notes": "",
"popularity": 95,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "geot",
"name": "nation",
"notes": "Country Level",
"popularity": 100,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "geo",
"name": "usa",
"notes": "United States of America",
"popularity": 100,
"series_count": 25
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "seas",
"name": "sa",
"notes": "Seasonally adjusted",
"popularity": 94,
"series_count": 13
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "indexes",
"notes": "",
"popularity": 79,
"series_count": 12
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "seas",
"name": "nsa",
"notes": "Not seasonally adjusted",
"popularity": 96,
"series_count": 12
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "real",
"notes": "Inflation Adjusted Data",
"popularity": 81,
"series_count": 12
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "assets",
"notes": "",
"popularity": 69,
"series_count": 4
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "m2",
"notes": "M2 Money Stock",
"popularity": 75,
"series_count": 3
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "m1",
"notes": "M1 Money Stock",
"popularity": 71,
"series_count": 2
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "m3",
"notes": "M3 Money Stock",
"popularity": 50,
"series_count": 2
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "mzm",
"notes": "MZM Money Stock",
"popularity": 61,
"series_count": 2
},
{
"created": "2012-02-27 10:18:19-06",
"group_id": "gen",
"name": "discontinued",
"notes": "",
"popularity": 68,
"series_count": 1
}
]
}Request contract
- Method and path: GET /apis/v1/fred/series/search/tags
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/fred/series/search/tags - file_type: query; optional
- limit: query; optional
- offset: query; optional
- order_by: query; optional
- realtime_end: query; optional
- realtime_start: query; optional
- series_search_text: query; required
- sort_order: query; optional
- tag_group_id: query; optional
- tag_names: query; optional
- tag_search_text: query; optional
- Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_fred_series_search_tags",
"method": "GET",
"path": "/apis/v1/fred/series/search/tags",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "A key or file extension that indicates the type of file to send.\nstring, optional, default: xml\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"in": "query",
"name": "file_type",
"required": false,
"schema": {
"default": "xml",
"enum": [
"xml",
"json"
],
"type": "string"
},
"x-aisa-reference-declarations": [
"string, optional, default: xml",
"One of the following values: 'xml', 'json'"
]
},
{
"description": "The maximum number of results to return.\ninteger between 1 and 1000, optional, default: 1000",
"in": "query",
"name": "limit",
"required": false,
"schema": {
"default": 1000,
"maximum": 1000,
"minimum": 1,
"type": "integer"
},
"x-aisa-reference-declarations": [
"integer between 1 and 1000, optional, default: 1000"
]
},
{
"description": "non-negative integer, optional, default: 0",
"in": "query",
"name": "offset",
"required": false,
"schema": {
"default": 0,
"minimum": 0,
"type": "integer"
},
"x-aisa-reference-declarations": [
"non-negative integer, optional, default: 0"
]
},
{
"description": "Order results by values of the specified attribute.\nOne of the following strings: 'series_count', 'popularity', 'created', 'name', 'group_id'.\noptional, default: series_count",
"in": "query",
"name": "order_by",
"required": false,
"schema": {
"default": "series_count",
"enum": [
"series_count",
"popularity",
"created",
"name",
"group_id"
],
"type": "string"
},
"x-aisa-reference-declarations": [
"One of the following strings: 'series_count', 'popularity', 'created', 'name', 'group_id'.",
"optional, default: series_count"
]
},
{
"description": "The end of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"in": "query",
"name": "realtime_end",
"required": false,
"schema": {
"format": "date",
"type": "string"
},
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"description": "The start of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"in": "query",
"name": "realtime_start",
"required": false,
"schema": {
"format": "date",
"type": "string"
},
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"description": "The words to match against economic data series.\nstring, required",
"in": "query",
"name": "series_search_text",
"required": true,
"schema": {
"type": "string"
},
"x-aisa-reference-declarations": [
"string, required"
]
},
{
"description": "Sort results is ascending or descending order for attribute values specified by order_by.\nOne of the following strings: 'asc', 'desc'.\noptional, default: asc",
"in": "query",
"name": "sort_order",
"required": false,
"schema": {
"default": "asc",
"enum": [
"asc",
"desc"
],
"type": "string"
},
"x-aisa-reference-declarations": [
"One of the following strings: 'asc', 'desc'.",
"optional, default: asc"
]
},
{
"description": "A tag group id to filter tags by type.\nString, optional, no filtering by tag group by default.\nOne of the following: 'freq', 'gen', 'geo', 'geot', 'rls', 'seas', 'src'. freq = Frequency gen = General or Concept geo = Geography geot = Geography Type rls = Release seas = Seasonal Adjustment src = Source\nfreq = Frequency gen = General or Concept geo = Geography geot = Geography Type rls = Release seas = Seasonal Adjustment src = Source",
"in": "query",
"name": "tag_group_id",
"required": false,
"schema": {
"type": "string"
},
"x-aisa-reference-declarations": [
"String, optional, no filtering by tag group by default.",
"One of the following: 'freq', 'gen', 'geo', 'geot', 'rls', 'seas', 'src'."
]
},
{
"description": "A semicolon delimited list of tag names to only include in the response. See the related request fred/series/search/related_tags .\nString, optional, no filtering by tag names by default\nExample value: 'm1;m2'. This value filters results to only include tags 'm1' and 'm2'.",
"in": "query",
"name": "tag_names",
"required": false,
"schema": {
"type": "string"
},
"x-aisa-reference-declarations": [
"String, optional, no filtering by tag names by default",
"Example value: 'm1;m2'. This value filters results to only include tags 'm1' and 'm2'."
]
},
{
"description": "The words to find matching tags with.\nString, optional, no filtering by search words by default.",
"in": "query",
"name": "tag_search_text",
"required": false,
"schema": {
"type": "string"
},
"x-aisa-reference-declarations": [
"String, optional, no filtering by search words by default."
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 1e-05
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.
xml, json The maximum number of results to return. integer between 1 and 1000, optional, default: 1000
1 <= x <= 1000non-negative integer, optional, default: 0
x >= 0Order results by values of the specified attribute. One of the following strings: 'series_count', 'popularity', 'created', 'name', 'group_id'. optional, default: series_count
series_count, popularity, created, name, group_id The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
The words to match against economic data series. string, required
Sort results is ascending or descending order for attribute values specified by order_by. One of the following strings: 'asc', 'desc'. optional, default: asc
asc, desc A tag group id to filter tags by type. String, optional, no filtering by tag group by default. One of the following: 'freq', 'gen', 'geo', 'geot', 'rls', 'seas', 'src'. freq = Frequency gen = General or Concept geo = Geography geot = Geography Type rls = Release seas = Seasonal Adjustment src = Source freq = Frequency gen = General or Concept geo = Geography geot = Geography Type rls = Release seas = Seasonal Adjustment src = Source
A semicolon delimited list of tag names to only include in the response. See the related request fred/series/search/related_tags . String, optional, no filtering by tag names by default Example value: 'm1;m2'. This value filters results to only include tags 'm1' and 'm2'.
The words to find matching tags with. String, optional, no filtering by search words by default.
Response
Successful response. The payload schema has not been reviewed yet.